Module ij
Package ij.plugin

# Class Binner

java.lang.Object
ij.plugin.Binner

All Implemented Interfaces:
  `PlugIn`

public class Binner extends Object implements PlugIn
This plugin implements the Image/Transform/Bin command. It reduces the size of an image or stack by binning groups of pixels of user-specified sizes. The resulting pixel can be calculated as average, median, maximum or minimum.

Author:
  Nico Stuurman, Wayne Rasband

## Field Summary

Fields
Modifier and Type
Field
Description
`static int`
`AVERAGE`
`static int`
`MAX`
`static int`
`MEDIAN`
`static int`
`MIN`
`static int`
`SUM`

## Constructor Summary

Constructors
Constructor
Description
`Binner()`

## Method Summary

Modifier and Type
Method
Description
`void`
`run(String arg)`
This method is called when the plugin is loaded.
`ImagePlus`
`shrink(ImagePlus imp, int xshrink, int yshrink, int zshrink, int method)`
`ImageProcessor`
`shrink(ImageProcessor ip, int xshrink, int yshrink, int method)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### AVERAGE

public static int AVERAGE

### MEDIAN

public static int MEDIAN

### MIN

public static int MIN

### MAX

public static int MAX

### SUM

public static int SUM

## Constructor Details

### Binner

public Binner()

## Method Details

### run

public void run(String arg)
Description copied from interface: `PlugIn`
This method is called when the plugin is loaded. 'arg', which may be blank, is the argument specified for this plugin in IJ_Props.txt.

Specified by:
  `run` in interface `PlugIn`

### shrink

public ImagePlus shrink(ImagePlus imp, int xshrink, int yshrink, int zshrink, int method)

### shrink

public ImageProcessor shrink(ImageProcessor ip, int xshrink, int yshrink, int method)